extends AudibleButton

func _on_button_up() -> void:
    if(!$"../..".changes_made || $"../..".changes_saved):
        $"%ControlsMenu".close()
        get_tree().set_input_as_handled()
    else:
        set_process_input(false)
        $"%ReallyQuitMenu".open()
